Last modified: 2014-06-21 19:58:12 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42457 - Email notification mistakes most log actions for new page creation
Email notification mistakes most log actions for new page creation
Status: NEW
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
1.21.x
All All
: Normal major (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 14901
Blocks: 1932 4101 34153
  Show dependency treegraph
 
Reported: 2012-11-26 21:02 UTC by Nemo
Modified: 2014-06-21 19:58 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-11-26 21:02:11 UTC
Bug 14901 was closed because we're now in a much better situation and on the right path, but there's more to do:

(Quoting from bug 14901 comment #64)
> (In reply to bug 14901 comment 63)
> > This patch solves the problem to a certain level, which handles: create,
> > delete, move, restore, change. change is the default"
> 
> If the only problem with the patch is that i doesn't resolve the problem
> completely, then I quote Nikerabbit "Let's try to get this in and then improve
> further as needed".
> 
> For this or any future patch: any log action has a name to show on Special:Log
> which is also translatable (unless there is still some very ugly deprecated
> method to log), so an easy fallback for the unhandled cases would be to notify
> something like "An action of type $log_action has been performed on the page"
> etc.

A proper and complete fix would require the notification system in core and other core features or extensions to communicate in some way, but that will be another bug.
Comment 1 Nemo 2013-06-02 18:38:05 UTC
This would have made most sense for 1.21 but it won't fit a .x release.
Comment 2 Andre Klapper 2013-09-26 15:09:24 UTC
As the Target Milestone on this ticket has been set to 1.22.0:

According to http://lists.wikimedia.org/pipermail/wikitech-l/2013-September/072030.html "MediaWiki 1.22 is slated for release on November 30th, at the very latest."

If this is still intended to get fixed for 1.22.0, a patch is needed soon.
Comment 3 Andre Klapper 2013-12-07 02:38:04 UTC
[Bumping TM as MediaWiki 1.22.0 tarball was released today.]
Comment 4 Mark A. Hershberger 2014-06-21 19:58:12 UTC
Removing target milestone that was in the past.

If you want this in a specific release, have a good reason AND you are willing to find resources to fix this bug, feel free to change it to something appropriate.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links